%define ver     2.8
%define rel     12


Summary:        The GTK+ port of the wxWidgets library
Name:           wxGTK
Version:        %{ver}.%{rel}
Release:        1%{?dist}%{?pext}
License:        wxWindows
Group:          System Environment/Libraries
Source0:        http://downloads.sourceforge.net/project/wxwindows/%{version}/%{name}-%{version}.tar.bz2
URL:            http://www.wxwidgets.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         The wxWidgets Team <wx-dev@lists.wxwidgets.org>
Provides:       wxGTK = %{ver}
Provides:       wxGTK-ansi = %{ver}
Provides:       wxGTK-unicode = %{ver}
Provides:       wxwin = %{ver}
Provides:       wxwin-ansi = %{ver}
Provides:       wxwin-unicode = %{ver}
BuildRequires:  atk-devel expat-devel glib2-devel gtk2-devel
BuildRequires:  libgnomeprint22-devel libgnomeprintui22-devel
BuildRequires:  libjpeg-devel libpng-devel libstdc++-devel
BuildRequires:  libtiff-devel pango-devel SDL-devel zlib-devel
BuildRequires:  gstreamer-devel gstreamer-plugins-base-devel
BuildRequires:  cairo-devel esound-devel gettext gnome-vfs2-devel
BuildRequires:  libmspack-devel libX11-devel libXxf86vm-devel

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source
code. This package contains the GTK+ port of the wxWidgets library.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Provides:       wxGTK-devel = %{ver}
Provides:       wxGTK-devel-ansi = %{ver}
Provides:       wxGTK-devel-unicode = %{ver}
Provides:       wxwin-devel = %{ver}
Provides:       wxwin-devel-ansi = %{ver}
Provides:       wxwin-devel-unicode = %{ver}
Requires:       %{name} = %{version}-%{release}
Requires:       atk-devel expat-devel glib2-devel gtk2-devel
Requires:       libjpeg-devel libpng-devel libtiff-devel
Requires:       pango-devel SDL-devel zlib-devel gstreamer-devel
Requires:       gstreamer-plugins-base-devel libmspack-devel
Requires:       libX11-devel libXxf86vm-devel GConf2-devel

%description    devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q


%build
BuildLib() {
  %{__mkdir} ${1}
  pushd ${1}

  ../configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"   \
	CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--prefix=%{_prefix}                              \
	--sysconfdir=%{_sysconfdir}                      \
	--libdir=%{_libdir}                              \
	--localstatedir=%{_localstatedir}                \
	--mandir=%{_mandir}                              \
	--with-gtk=2                                     \
	--with-gnomevfs                                  \
	--enable-debug_info                              \
	--enable-compat24                                \
	--enable-graphics_ctx                            \
	--enable-iff                                     \
	--enable-mediactrl                               \
	--enable-tabdialog                               \
	--with-opengl                                    \
	--with-regex=builtin                             \
	--with-sdl                                       \
	${2}

  %{__make} %{?_smp_mflags}

  pushd contrib/src
  %{__make} %{?_smp_mflags}
  popd

  popd
}

BuildLib "obj-static-a" "--disable-unicode --disable-shared --with-odbc=builtin"
BuildLib "obj-shared-a" "--disable-unicode --enable-shared  --with-odbc=builtin"

BuildLib "obj-static-u" "--enable-unicode  --disable-shared"
BuildLib "obj-shared-u" "--enable-unicode  --enable-shared"

%{__make} -C locale \
	allmo


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

for BLDDIR in obj-static-a obj-shared-a obj-static-u obj-shared-u; do
  pushd ${BLDDIR}

  %{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

  pushd contrib/src
  %{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install
  popd

  pushd utils/wxrc
  %{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install
  popd

  popd
done

# Library config
PORT=`basename obj-shared-a/lib/wx/config/inplace-* | cut -d- -f2`
%{__ln_s} %{_libdir}/wx/config/${PORT}-ansi-release-%{ver}    \
	${RPM_BUILD_ROOT}%{_bindir}/wx${PORT}-%{ver}-config
%{__ln_s} %{_libdir}/wx/config/${PORT}-unicode-release-%{ver} \
	${RPM_BUILD_ROOT}%{_bindir}/wx${PORT}u-%{ver}-config

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/locale/it/LC_MESSAGES/wxmsw.mo

# Generate locale list
%find_lang wxstd


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files -f wxstd.lang
%defattr(-,root,root)
%doc *-gtk.txt docs/{changes,*gpl,licen*,preamble,readme,todo}.txt
%{_libdir}/libwx_base-%{ver}.so.*
%{_libdir}/libwx_base_*-%{ver}.so.*
%{_libdir}/libwx_baseu-%{ver}.so.*
%{_libdir}/libwx_baseu_*-%{ver}.so.*
%{_libdir}/libwx_gtk2_*-%{ver}.so.*
%{_libdir}/libwx_gtk2u_*-%{ver}.so.*

%files devel
%defattr(-,root,root)
%doc docs/gtk/*
%doc %dir docs/html docs/tech
%{_bindir}/wx-config
%{_bindir}/wxgtk2-%{ver}-config
%{_bindir}/wxgtk2u-%{ver}-config
%{_bindir}/wxrc
%{_bindir}/wxrc-%{ver}
%{_includedir}/wx-%{ver}
%{_libdir}/libwx_base-%{ver}.*a
%{_libdir}/libwx_base-%{ver}.so
%{_libdir}/libwx_base_*-%{ver}.*a
%{_libdir}/libwx_base_*-%{ver}.so
%{_libdir}/libwx_baseu-%{ver}.*a
%{_libdir}/libwx_baseu-%{ver}.so
%{_libdir}/libwx_baseu_*-%{ver}.*a
%{_libdir}/libwx_baseu_*-%{ver}.so
%{_libdir}/libwx_gtk2_*-%{ver}.*a
%{_libdir}/libwx_gtk2_*-%{ver}.so
%{_libdir}/libwx_gtk2u_*-%{ver}.*a
%{_libdir}/libwx_gtk2u_*-%{ver}.so
%{_libdir}/libwxodbc-%{ver}.*a
%{_libdir}/libwxregex-%{ver}.*a
%{_libdir}/libwxregexu-%{ver}.*a
%{_libdir}/wx
%{_datadir}/aclocal/*
%{_datadir}/bakefile


%changelog
* Wed May 18 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.12-1
- New version (2.8.12)

* Mon May 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.11-1
- New version (2.8.11)

* Sat Mar 21 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.10-1
- New version (2.8.10)

* Sun Oct 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.9-1
- New version (2.8.9)

* Tue Jul 29 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.8-1
- New version (2.8.8)

* Tue May 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.7-2
- Enabled GraphicsContext support
- Enabled gnome-vfs support
- Enabled media support

* Mon Apr 07 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.7-1
- New version (2.8.7)
- Disabled dataviewctrl (build broken on x86_64)

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 2.8.6-2
- new version (2.8.6)

* Thu May 24 2007 peter.pramberger@member.fsf.org 2.8.4-2
- created
